Subject: Re: ADS860 - unable to load kernel- Bad magic number

From: Dan Malek <[email-masked]>
Date: Fri, 27 Feb 2004 14:32:44 -0500

Bob Beck wrote:

> Thanks. What is the difference between zImage.embedded and vmlinux.gz
> generated by the kernel build ?

Huge.  The vmlinux.gz is just the gzipped kernel.  The zImage contains
the 'bootloader' code that can perform some processor initialization,
uncompresses the vmlinux.gz, locates it properly in memory, sets initial
registers, then jumps to the start of the kernel.

> This is the file used by U-Boot's mkImage command to produce a
> vmlinux.img file.

If you are building for u-boot, you should 'make uImage' and use
the uImage that is created.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/